Bug 512170 - Review Request: pidgin-sipe - Pidgin plugin for connecting to MS Communications Server
Summary: Review Request: pidgin-sipe - Pidgin plugin for connecting to MS Communicatio...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rahul Sundaram
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-16 15:46 UTC by Konstantin Ryabitsev
Modified: 2013-03-13 05:45 UTC (History)
15 users (show)

Fixed In Version: pidgin-sipe-1.9.1-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-01 19:29:11 UTC
sundaram: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)
Proposed patch to fix ppc64 compilation problems (2.35 KB, patch)
2009-07-28 22:51 UTC, Stefan Becker
no flags Details | Diff
Patch to code around gcc compiler bug on ppc platforms (1.26 KB, patch)
2009-07-30 16:50 UTC, Stefan Becker
no flags Details | Diff
Patch to code around gcc compiler bug on ppc platforms (1.25 KB, patch)
2009-07-30 17:08 UTC, Stefan Becker
no flags Details | Diff

Description Konstantin Ryabitsev 2009-07-16 15:46:02 UTC
Spec URL: http://icon.fedorapeople.org/f/pidgin-sipe.spec
SRPM URL: http://icon.fedorapeople.org/f/pidgin-sipe-1.5.0-1.fc11.src.rpm
Description:
Provides an Open Implementation of SIP/Simple protocol for connecting Pidgin to
Live Communications Server 2003/2005 and Office Communications Server 2007.

To save you the trouble, I built it in koji scratch:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1479849

PPC and PPC64 builds are failing, and I've reported it upstream. There is currently an excludearch in the .spec.
https://sourceforge.net/forum/forum.php?thread_id=3336440&forum_id=688535

Comment 1 Konstantin Ryabitsev 2009-07-28 19:27:00 UTC
Update to 1.6.0. PPC builds with --enable-quality-check=no passed to configure.

http://icon.fedorapeople.org/f/pidgin-sipe.spec
http://icon.fedorapeople.org/f/pidgin-sipe-1.6.0-1.fc11.src.rpm

Comment 2 Stefan Becker 2009-07-28 22:06:16 UTC
OK, you initiated this already. Thanks!

I have just added my Fedora/RHEL SPEC file to the git repository. I'll compare it to your file and update it if needed.

Please DO NOT use --enable-quality-check=no! If it doesn't compile then the bugs in the source MUST be fixed! I'll look into your build log and try to find the correct solution.

I would like to add that one target of this package must be EPEL. OCS is used in enterprise environments and RHEL is lacking a client for it.

Comment 3 Stefan Becker 2009-07-28 22:51:04 UTC
Created attachment 355472 [details]
Proposed patch to fix ppc64 compilation problems

Can you please try to apply this patch and retry the ppc64 compilation?

I'm guessing the compiler barfs when asked to convert a signed 64-bit integer to an unsigned 16-bit integer. But then why does it throw such a confusing error message?

Comment 4 Stefan Becker 2009-07-29 00:21:11 UTC
I've updated the example SPEC file in the git repository after comparing it to your version.

Comment 5 Konstantin Ryabitsev 2009-07-30 12:17:15 UTC
Sorry, I get the same error compiling with your patch.

Build log:
http://koji.fedoraproject.org/koji/getfile?taskID=1565986&name=build.log

Comment 6 Stefan Becker 2009-07-30 14:41:58 UTC
Unfortunately I have no idea what the compiler is complaining about. Guessing from some google hits this may be a GCC (optimization) bug.

Can you try to compile ppc(64) platform with CFLAGS=-O1 or -O0 instead?

Is there a way to access a ppc64 system with my FAS account so that can I can compile the pidgin-sipe code and fiddle around with the code? This will be much faster than running test builds with koji.

Comment 7 Konstantin Ryabitsev 2009-07-30 15:07:33 UTC
yeah, actually, see https://fedoraproject.org/wiki/Test_Machine_Resources_For_Package_Maintainers

There is no ppc64 machine, but it's the same problem on ppc.

Comment 8 David Woodhouse 2009-07-30 15:34:37 UTC
I blame the compiler. Three of these identical pieces of pointer arithmetic lead to a successful compilation; the original version doesn't:

--- src/sip-sec-ntlm.c~	2009-07-27 23:13:13.000000000 +0100
+++ src/sip-sec-ntlm.c	2009-07-30 16:32:29.000000000 +0100
@@ -502,7 +502,10 @@ purple_ntlm_gen_authenticate(guchar **nt
 
 	/* Domain */
 	tmsg->dom_off = sizeof(struct authenticate_message);
-	tmp = ((char*) tmsg) + tmsg->dom_off;
+//	tmp = ((char*) tmsg) + tmsg->dom_off;
+	tmp = ((char*) tmsg) + sizeof(struct authenticate_message);
+//	tmp = (char *) (tmsg+1);
+//	tmp = (char *)&tmsg[1];
 	remlen = ((char *)tmsg)+msglen-tmp;
 	tmsg->dom_len1 = tmsg->dom_len2 = (guint16)unicode_strconvcopy((gchar *)tmp, domain, remlen);
 	tmp += tmsg->dom_len1;

Comment 9 David Woodhouse 2009-07-30 15:50:32 UTC
There may be a real bug there too -- shouldn't we multiply both strlen(user) and strlen(hostname) by 2 when we calculate msglen, because they'll be converted to UCS-2 (or UTF-16).

Comment 10 David Woodhouse 2009-07-30 15:58:12 UTC
Compiler bug filed as bug #514748

Comment 11 Stefan Becker 2009-07-30 16:29:48 UTC
(In reply to comment #9)
> There may be a real bug there too -- shouldn't we multiply both strlen(user)
> and strlen(hostname) by 2 when we calculate msglen, because they'll be
> converted to UCS-2 (or UTF-16).  

I'm not sure, LC/OC servers accept the authentication the code generates :-) But I'll check it. As far as I know the code was copied from another source originally.

Comment 12 Stefan Becker 2009-07-30 16:50:40 UTC
Created attachment 355703 [details]
Patch to code around gcc compiler bug on ppc platforms

I pushed a change based on bug #514748 to the git repository. Can you please try again?

Comment 13 Stefan Becker 2009-07-30 16:56:38 UTC
(In reply to comment #11)
> (In reply to comment #9)
> > There may be a real bug there too -- shouldn't we multiply both strlen(user)
> > and strlen(hostname) by 2 when we calculate msglen, because they'll be
> > converted to UCS-2 (or UTF-16).  
> 
> I'm not sure, LC/OC servers accept the authentication the code generates :-)
> But I'll check it. As far as I know the code was copied from another source
> originally.  

The code is IMHO correct, you just missed the () after the multiplication:

 2*(strlen(domain) + strlen(user) + strlen(hostname) + NTLMSSP_NT_OR_LM_KEY_LEN)

Comment 14 Stefan Becker 2009-07-30 17:08:18 UTC
Created attachment 355706 [details]
Patch to code around gcc compiler bug on ppc platforms

I missed another commit related to this file that needs to be reverted. Now sip-sec-ntlm.c should reflect the original code PLUS the one line fix for the GCC compiler bug.

Comment 15 David Woodhouse 2009-07-30 17:32:26 UTC
(In reply to comment #13)
> The code is IMHO correct, you just missed the () after the multiplication:

Ah, yes. Not having the cleverest of days, am I?

Comment 16 Konstantin Ryabitsev 2009-07-31 17:43:19 UTC
I can confirm that with this patch pidgin-sipe builds on all architectures. \o/

http://koji.fedoraproject.org/koji/taskinfo?taskID=1570379

Updated .spec and .src.rpm:

http://icon.fedorapeople.org/f/pidgin-sipe.spec
http://icon.fedorapeople.org/f/pidgin-sipe-1.6.0-2.fc11.src.rpm

Now, if we can get someone to review this package. :)

Comment 17 Stefan Becker 2009-07-31 18:19:32 UTC
(In reply to comment #16)
> I can confirm that with this patch pidgin-sipe builds on all architectures. \o/

Good to know. THANKS!

> Now, if we can get someone to review this package. :)  

I've asked Warren Togami. I'll also talk again to our RH TAM about this issue.

Comment 18 Suresh Siddha 2009-08-20 23:09:37 UTC
I tried the src rpm included in comment #16 on my FC11 x86_64 system. It worked fine with one small change though. I had to move the installed libaraies from /usr/lib/pidgin/ to /usr/lib64/pidgin to make it work.

I built with:

# ./configure --prefix=/usr
# make install

We have to fix the installation paths for x86_64 and other 64bit archs too?

Comment 19 Stefan Becker 2009-08-21 04:15:31 UTC
(In reply to comment #18)
> I tried the src rpm included in comment #16 on my FC11 x86_64 system. It worked
> fine with one small change though. I had to move the installed libaraies from
> /usr/lib/pidgin/ to /usr/lib64/pidgin to make it work.

I just tried to build an RPM from pidgin-sipe-1.6.1 and git HEAD with the RPM SPEC file from git HEAD. In both generated RPMs the library ends up in the correct place:

$ rpm -qlp RPMS/x86_64/pidgin-sipe-1.6.1-1.fc11.x86_64.rpm
/usr/lib64/pidgin/libsipe.so
...

Either the SPEC needs to be updated or you didn't build it correctly by hand. Here is the configure command line from my git HEAD build for you to compare:

running ./configure  --build=x86_64-unknown-linux-gnu --host=x86_64-unknown-linux-gnu --target=x86_64-redhat-linux-gnu --prefix=/usr --datadir=/usr/share --libdir=/usr/lib64 --with-krb5

Comment 20 Konstantin Ryabitsev 2009-08-21 12:27:05 UTC
Suresh: I think you did something wrong. On my machine, everything is installed in the correct places:

icon@rakta:[~]$ rpm -ql pidgin-sipe | grep libsipe.so
/usr/lib64/pidgin/libsipe.so

This package was built using koji. See:

icon@rakta:[~]$ rpm -qi pidgin-sipe
Name        : pidgin-sipe                  Relocations: (not relocatable)
Version     : 1.6.0                             Vendor: Fedora Project
Release     : 2.fc11                        Build Date: Fri 31 Jul 2009 01:39:46 PM EDT
Install Date: Fri 31 Jul 2009 01:46:11 PM EDT      Build Host: x86-3.fedora.phx.redhat.com
Group       : Applications/Internet         Source RPM: pidgin-sipe-1.6.0-2.fc11.src.rpm
Size        : 258570                           License: GPLv2+
Signature   : (none)
Packager    : Fedora Project
URL         : http://sipe.sourceforge.net/
Summary     : Pidgin plugin for connecting to MS Communications Server
Description :
Provides an Open Implementation of SIP/Simple protocol for connecting Pidgin to
Live Communications Server 2003/2005 and Office Communications Server 2007.

Since Koji is building it correctly, I don't think there are any issues with the .spec file -- maybe something is wrong with your build environment?

Comment 21 Suresh Siddha 2009-08-21 18:37:16 UTC
Building it directly from spec file worked. In the manual build looks like  I have to use --libdir option aswell. Thanks.

Comment 22 Jan Klepek 2009-09-28 17:14:58 UTC
1.6.3 is relased, could you please package it, if you are still interested on this package, otherwise, i'm interested.

Comment 23 birger 2009-11-02 11:40:01 UTC
1.7.0 is out now. There would be a lot of interest in this package. Please get it into both fedora and EPEL.

Comment 24 Konstantin Ryabitsev 2009-11-03 14:22:27 UTC
SPEC and SRPM updated to 1.7.0:

http://icon.fedorapeople.org/f/pidgin-sipe.spec
http://icon.fedorapeople.org/f/pidgin-sipe-1.7.0-1.fc11.src.rpm

Koji scratch build (F12):
http://koji.fedoraproject.org/koji/taskinfo?taskID=1785119

I'll get it into fedora as soon as someone actually reviews the submission. It's been sitting in the queue for several months now.

Comment 25 Stefan Becker 2009-11-03 14:40:46 UTC
But who will do that? It seems to me that all who have contributed up to now are on the requester side, but none from "the powers that be" side.

Comment 26 Rahul Sundaram 2009-11-05 12:06:55 UTC
Unless you are branching for EPEL, you can drop the build root definition and cleaning of buildroot in the %install section, other than this looks good. I will do the usual quick checks and (hopefully) approve shortly.

Comment 27 birger 2009-11-05 14:32:53 UTC
I assume this is a package that EPEL will want also, since it is very useful in corporate environments.

Comment 28 Rahul Sundaram 2009-11-07 11:00:03 UTC
Looks good to go except that I am unable to test the functionality since I don't have a Windows box handy. 

APPROVED

Comment 29 birger 2009-11-08 17:41:18 UTC
The functionality is good. It lets me connect to my OCS server both from the inside and the outside. Windows users cannot tell that I am not on windows as long as we just chat. I get presence information, and as far as I know the others get that on mee as well.

Of course the FOSS world needs video conferencing that works with MS OCS as well, but I understand that that has to wait for the 'next generation' framework.

Comment 30 Konstantin Ryabitsev 2009-11-09 19:04:54 UTC
Ah, excellent! Thanks for the review, Rahul. I'll start with F-12 and F-11, and then I'll work on getting it into EL-5 (if possible).

New Package CVS Request
=======================
Package Name: pidgin-sipe
Short Description: Pidgin plugin for connecting to MS Communications Server
Owners: icon
Branches: F-12 F-11
InitialCC:

Comment 31 Kevin Fenzi 2009-11-11 03:34:07 UTC
cvs done.

Comment 32 Fedora Update System 2009-11-11 15:23:04 UTC
pidgin-sipe-1.7.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pidgin-sipe-1.7.0-1.fc11

Comment 33 Fedora Update System 2009-11-11 15:23:12 UTC
pidgin-sipe-1.7.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pidgin-sipe-1.7.0-1.fc12

Comment 34 Fedora Update System 2009-11-12 00:50:48 UTC
pidgin-sipe-1.7.0-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pidgin-sipe'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11395

Comment 35 Fedora Update System 2009-11-12 00:59:15 UTC
pidgin-sipe-1.7.0-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pidgin-sipe'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11439

Comment 36 Stefan Becker 2009-11-20 22:05:51 UTC
FYI: the bug fix release 1.7.1 is out.

Comment 37 Stefan Becker 2010-02-07 11:09:46 UTC
FYI: 1.8.0 has just been released. The highlights:

 - Exchange 2007/2010 calendar integration
 - lots of improvements for Presence
 - project has been added to Transifex: 2 new localizations (pl, ru)
 - bug hunting, memory leak fixes, code analysis using Coverity

If you want to help out with the localization:

    <http://www.transifex.net/projects/p/pidgin-sipe/c/mob-branch/>

They have an easy-to-use Web editor for translators and automatic submission to the project repository.

Comment 38 Fedora Update System 2010-02-08 14:35:07 UTC
pidgin-sipe-1.8.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pidgin-sipe-1.8.0-1.fc12

Comment 39 Fedora Update System 2010-02-08 14:35:15 UTC
pidgin-sipe-1.8.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pidgin-sipe-1.8.0-1.fc11

Comment 40 David Woodhouse 2010-02-08 14:52:44 UTC
hm, calendar support? What does that do?

I found a 'Republish calendar' option in the pidgin menus, but that just made it segfault...

Comment 41 Stefan Becker 2010-02-08 16:52:17 UTC
(In reply to comment #40)
> hm, calendar support? What does that do?

Despite that it's a M$ product, OCS isn't connected to Exchange. So it doesn't know anything about your calender state, e.g. "do not disturb - in a meeting until 12:00". It is the clients' responsibility to provide such information. The client consults the calendar source (currently only Exchange Web Service, but pier11 is already looking into Lotus/Domino support) and then publishes that to OCS.

Additionally pidgin-sipe now knows how to handle calendar data in OCS buddy information and shows it in the hover-popup/info windows.


> I found a 'Republish calendar' option in the pidgin menus, but that just made
> it segfault...

*Ouch* I'm guessing the auto-discovery fails in your case. Can you take a log with "pidgin --debug" and open a bug report here:

        <https://sourceforge.net/tracker/?group_id=194563&atid=949931>

Or sent the log directly to me and I'll have a look.

Comment 42 Fedora Update System 2010-02-09 05:02:31 UTC
pidgin-sipe-1.8.0-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pidgin-sipe'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-1585

Comment 43 Fedora Update System 2010-02-09 05:04:20 UTC
pidgin-sipe-1.8.0-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pidgin-sipe'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1593

Comment 44 Stefan Becker 2010-02-16 09:19:48 UTC
FYI: 1.8.1 has just been released. It should fix all crashes reported against 1.8.0.

Comment 45 Fedora Update System 2010-02-16 13:20:14 UTC
pidgin-sipe-1.8.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/F11/FEDORA-2010-1585

Comment 46 Fedora Update System 2010-02-16 13:21:34 UTC
pidgin-sipe-1.8.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1593

Comment 47 Fedora Update System 2010-02-18 22:20:36 UTC
pidgin-sipe-1.8.1-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pidgin-sipe'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1593

Comment 48 Fedora Update System 2010-02-18 22:25:36 UTC
pidgin-sipe-1.8.1-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pidgin-sipe'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-1585

Comment 49 Stefan Becker 2010-03-10 10:21:07 UTC
FYI: 1.9.0 has just been released.

New features: file transfer, NTLMv2 support

I was wondering if you could look into syncing the Fedora RPM spec from the one in the release (contrib/rpm/pidgin-sipe.spec). At least you should update the summary & descriptions entries from that file.

Comment 50 Stefan Becker 2010-03-10 14:17:00 UTC
Any chances to add EPEL5 as build target?

Comment 51 Fedora Update System 2010-03-11 20:33:00 UTC
pidgin-sipe-1.9.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pidgin-sipe-1.9.0-1.fc12

Comment 52 Fedora Update System 2010-03-11 20:33:07 UTC
pidgin-sipe-1.9.0-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/pidgin-sipe-1.9.0-1.fc13

Comment 53 Fedora Update System 2010-03-11 20:33:13 UTC
pidgin-sipe-1.9.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pidgin-sipe-1.9.0-1.fc11

Comment 54 Stefan Becker 2010-03-16 11:22:54 UTC
FYI: 1.9.1 has just been released.

This fixes authentication problems users had with 1.9.0.

Comment 55 Konstantin Ryabitsev 2010-03-16 14:40:28 UTC
Stefan, the changelog for 1.9.0 lists "important security fixes" -- can you elaborate on what those are?

Comment 56 Stefan Becker 2010-03-16 15:37:32 UTC
1.9.0 implemented NTLMv2 authentication support, which is more secure than NTLMv1. For users of OCS installations, where admins have disabled NTLMv1, this version will be the first one that works.

1.9.1 fixes authentication failures for certain users caused by changes/new code in 1.9.0.

Comment 57 Fedora Update System 2010-03-20 03:38:31 UTC
pidgin-sipe-1.9.1-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pidgin-sipe'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/pidgin-sipe-1.9.1-1.fc11

Comment 58 Fedora Update System 2010-03-20 03:42:56 UTC
pidgin-sipe-1.9.1-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pidgin-sipe'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/pidgin-sipe-1.9.1-1.fc12

Comment 59 Fedora Update System 2010-03-20 03:46:47 UTC
pidgin-sipe-1.9.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pidgin-sipe'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/pidgin-sipe-1.9.1-1.fc13

Comment 60 Fedora Update System 2010-04-01 19:29:02 UTC
pidgin-sipe-1.9.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 61 John Beranek 2010-04-01 23:40:30 UTC
One more prod, it would be great to get an EPEL5 branch as pidgin-sipe is especially useful in business environments.

I'm willing to help/take on maintainership role.

Comment 62 Fedora Update System 2010-04-03 04:43:37 UTC
pidgin-sipe-1.9.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 63 Fedora Update System 2010-04-03 04:46:16 UTC
pidgin-sipe-1.9.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 64 Stefan Becker 2010-04-04 19:36:02 UTC
FYI: 1.10.0 has been released today. Main new feature is Access Levels control.

Comment 65 Konstantin Ryabitsev 2010-10-07 18:16:44 UTC
Package Change Request
======================
Package Name: pidgin-sipe
New Branches: el5 el6
Owners: kurgan
InitialCC: icon

Comment 66 Konstantin Ryabitsev 2010-10-07 18:18:00 UTC
Adding Justin, who volunteered to be the maintainer for the EL branches.

Comment 67 Kevin Fenzi 2010-10-08 20:29:29 UTC
User kurgan doesn't seem to be in the packager group. 
Does he need sponsorship? Or is that the correct account name?

Comment 68 Justin Payne 2010-10-08 21:01:46 UTC
Yes, that is my correct account name. I do need sponsorship.

Comment 69 Jason Tibbitts 2010-10-13 18:10:56 UTC
Not really possible for the SCM admins to do anything here at this time.  Once sponsorship has been worked out, please re-raise the fedora-cvs flag.

Comment 70 Josh 2011-04-08 20:36:10 UTC
I'm willing to take over where Justin has left off.  I'

Comment 71 Josh 2011-04-08 20:38:32 UTC
Package Change Request
======================
Package Name: pidgin-sipe
New Branches: el5 el6
Owners: jokajak
InitialCC: icon

Comment 72 Josh 2011-04-08 20:38:58 UTC
I'm a fedora packager already.

Comment 73 Stefan Becker 2011-04-08 20:56:46 UTC
@Konstantin & Josh: I sent a backport patch from git for the gcc compilation error on F15 to Konstatin (see failed build http://koji.fedoraproject.org/koji/buildinfo?buildID=226563). Can you please make sure that this is added to the source RPM?

Comment 74 Jason Tibbitts 2011-04-08 23:31:02 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.